Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math
Class MathRoutines

    java.lang.Object
      ru.biosoft.math.MathRoutines

public class MathRoutines
extends java.lang.Object

Constructor Summary
`MathRoutines()`

Method Summary
`static double` | `ach(double x)`
`static double` | `acsec(double x)`
`static double` | `acsech(double x)`
`static double` | `actg(double x)`
`static double` | `actgh(double x)`
`static double` | `asec(double x)`
`static double` | `asech(double x)`
`static double` | `ash(double x)`
`static double` | `atgh(double x)`
`static double` | `ch(double x)`
`static double` | `csec(double x)`
`static double` | `csech(double x)`
`static double` | `ctgh(double x)`
`static double` | `factorial(double n)`
`static double` | `factorial(int n)`
`static double` | `sec(double x)`
`static double` | `sech(double x)`
`static double` | `sh(double x)`
`static double` | `tgh(double x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MathRoutines

    public MathRoutines()

Method Detail

### factorial

    public static double factorial(int n)

### factorial

    public static double factorial(double n)

### sh

    public static double sh(double x)

### ch

    public static double ch(double x)

### tgh

    public static double tgh(double x)

### ctgh

    public static double ctgh(double x)

### ash

    public static double ash(double x)

### ach

    public static double ach(double x)

### atgh

    public static double atgh(double x)

### actgh

    public static double actgh(double x)

### sec

    public static double sec(double x)

### csec

    public static double csec(double x)

### csech

    public static double csech(double x)

### sech

    public static double sech(double x)

### asec

    public static double asec(double x)

### acsec

    public static double acsec(double x)

### acsech

    public static double acsech(double x)

### asech

    public static double asech(double x)

### actg

    public static double actg(double x)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.